diff --git a/web/pgadmin/browser/static/js/node.js b/web/pgadmin/browser/static/js/node.js
index 83a55413..a57b2ca3 100644
--- a/web/pgadmin/browser/static/js/node.js
+++ b/web/pgadmin/browser/static/js/node.js
@@ -1,15 +1,14 @@
-define(
-  'pgadmin.browser.node', [
-    'sources/gettext', 'jquery', 'underscore', 'underscore.string', 'sources/pgadmin',
-    'pgadmin.browser.menu', 'backbone', 'pgadmin.alertifyjs', 'pgadmin.browser.datamodel',
-    'backform', 'sources/browser/generate_url', 'pgadmin.browser.utils', 'pgadmin.backform'
+define('pgadmin.browser.node', [
+  'sources/gettext', 'jquery', 'underscore', 'underscore.string', 'sources/pgadmin',
+  'pgadmin.browser.menu', 'backbone', 'pgadmin.alertifyjs', 'pgadmin.browser.datamodel',
+  'backform', 'sources/browser/generate_url', 'pgadmin.browser.utils', 'pgadmin.backform',
 ], function(gettext, $, _, S, pgAdmin, Menu, Backbone, Alertify, pgBrowser, Backform, generateUrl) {
 
   var wcDocker = window.wcDocker,
     keyCode = {
       ENTER: 13,
       ESCAPE: 27,
-      F1: 112
+      F1: 112,
     };
 
   // It has already been defined.
@@ -34,7 +33,9 @@ define(
 
     // The constructor function for the new subclass is defined to simply call
     // the parent's constructor.
-    child = function(){ return parent.apply(this, arguments); };
+    child = function() {
+      return parent.apply(this, arguments);
+    };
 
     // Add static properties to the constructor function, if supplied.
     _.extend(child, parent, _.omit(props, 'callbacks'));
@@ -43,12 +44,12 @@ define(
     child.callbacks = _.extend({}, parent.callbacks, props.callbacks);
 
     var bindToChild = function(cb) {
-          if (typeof(child.callbacks[cb]) == 'function') {
-            child.callbacks[cb] = child.callbacks[cb].bind(child);
-          }
-        },
-        callbacks = _.keys(child.callbacks);
-    for(var idx = 0; idx < callbacks.length; idx++) bindToChild(callbacks[idx]);
+        if (typeof(child.callbacks[cb]) == 'function') {
+          child.callbacks[cb] = child.callbacks[cb].bind(child);
+        }
+      },
+      callbacks = _.keys(child.callbacks);
+    for (var idx = 0; idx < callbacks.length; idx++) bindToChild(callbacks[idx]);
 
     // Registering the node by calling child.Init(...) function
     child.Init.apply(child);
@@ -87,84 +88,123 @@ define(
       self.node_initialized = true;
 
       pgAdmin.Browser.add_menus([{
-        name: 'refresh', node: self.type, module: self,
-        applies: ['object', 'context'], callback: 'refresh',
-        priority: 1, label: gettext('Refresh...'),
-        icon: 'fa fa-refresh'
+        name: 'refresh',
+        node: self.type,
+        module: self,
+        applies: ['object', 'context'],
+        callback: 'refresh',
+        priority: 1,
+        label: gettext('Refresh...'),
+        icon: 'fa fa-refresh',
       }]);
 
       if (self.canEdit) {
         pgAdmin.Browser.add_menus([{
-        name: 'show_obj_properties', node: self.type, module: self,
-        applies: ['object', 'context'], callback: 'show_obj_properties',
-        priority: 999, label: gettext('Properties...'),
-        data: {'action': 'edit'}, icon: 'fa fa-pencil-square-o'
-      }]);
+          name: 'show_obj_properties',
+          node: self.type,
+          module: self,
+          applies: ['object', 'context'],
+          callback: 'show_obj_properties',
+          priority: 999,
+          label: gettext('Properties...'),
+          data: {
+            'action': 'edit',
+          },
+          icon: 'fa fa-pencil-square-o',
+        }]);
       }
 
       if (self.canDrop) {
         pgAdmin.Browser.add_menus([{
-          name: 'delete_object', node: self.type, module: self,
-          applies: ['object', 'context'], callback: 'delete_obj',
-          priority: 2, label: gettext('Delete/Drop'),
-          data: {'url': 'drop'}, icon: 'fa fa-trash',
+          name: 'delete_object',
+          node: self.type,
+          module: self,
+          applies: ['object', 'context'],
+          callback: 'delete_obj',
+          priority: 2,
+          label: gettext('Delete/Drop'),
+          data: {
+            'url': 'drop',
+          },
+          icon: 'fa fa-trash',
           enable: _.isFunction(self.canDrop) ?
             function() {
               return !!(self.canDrop.apply(self, arguments));
-            } : (!!self.canDrop)
+            } : (!!self.canDrop),
         }]);
+
         if (self.canDropCascade) {
           pgAdmin.Browser.add_menus([{
-            name: 'delete_object_cascade', node: self.type, module: self,
-            applies: ['object', 'context'], callback: 'delete_obj',
-            priority: 3, label: gettext('Drop Cascade'),
-            data: {'url': 'delete'}, icon: 'fa fa-trash',
+            name: 'delete_object_cascade',
+            node: self.type,
+            module: self,
+            applies: ['object', 'context'],
+            callback: 'delete_obj',
+            priority: 3,
+            label: gettext('Drop Cascade'),
+            data: {
+              'url': 'delete',
+            },
+            icon: 'fa fa-trash',
             enable: _.isFunction(self.canDropCascade) ?
-              function() { return self.canDropCascade.apply(self, arguments); } : (!!self.canDropCascade)
+              function() {
+                return self.canDropCascade.apply(self, arguments);
+              } : (!!self.canDropCascade),
           }]);
         }
       }
 
-      // show query tool only in context menu of supported nodes.
-      if (true) {
-        if (_.indexOf(pgAdmin.unsupported_nodes, self.type) == -1) {
-          pgAdmin.Browser.add_menus([{
-            name: 'show_query_tool', node: self.type, module: self,
-            applies: ['context'], callback: 'show_query_tool',
-            priority: 998, label: gettext('Query Tool...'),
-            icon: 'fa fa-bolt',
-            enable: function(itemData, item, data) {
-              if (itemData._type == 'database' && itemData.allowConn)
-                return true;
-              else if(itemData._type != 'database')
-                return true;
-              else
-                return false;
-            }
-          }]);
-        }
+      // Show query tool only in context menu of supported nodes.
+      if (_.indexOf(pgAdmin.unsupported_nodes, self.type) == -1) {
+        pgAdmin.Browser.add_menus([{
+          name: 'show_query_tool',
+          node: self.type,
+          module: self,
+          applies: ['context'],
+          callback: 'show_query_tool',
+          priority: 998,
+          label: gettext('Query Tool...'),
+          icon: 'fa fa-bolt',
+          enable: function(itemData) {
+            if (itemData._type == 'database' && itemData.allowConn)
+              return true;
+            else if (itemData._type != 'database')
+              return true;
+            else
+              return false;
+          },
+        }]);
       }
 
       // This will add options of scripts eg:'CREATE Script'
-      if (self.hasScriptTypes && _.isArray(self.hasScriptTypes)
-        &&  self.hasScriptTypes.length > 0) {
-          // For each script type create menu
-          _.each(self.hasScriptTypes, function(stype) {
-
-            var type_label = S(
-                gettext("%s Script")
-                ).sprintf(stype.toUpperCase()).value(),
-              stype = stype.toLowerCase();
-
-            // Adding menu for each script type
-            pgAdmin.Browser.add_menus([{
-              name: 'show_script_' + stype, node: self.type, module: self,
-              applies: ['object', 'context'], callback: 'show_script',
-              priority: 4, label: type_label, category: 'Scripts',
-              data: {'script': stype}, icon: 'fa fa-pencil',
-              enable: self.check_user_permission
-            }]);
-          });
+      if (self.hasScriptTypes && _.isArray(self.hasScriptTypes) &&
+        self.hasScriptTypes.length > 0) {
+        // For each script type create menu
+        _.each(self.hasScriptTypes, function(stype) {
+
+          var type_label = S(
+            gettext('%s Script')
+          ).sprintf(stype.toUpperCase()).value();
+
+          stype = stype.toLowerCase();
+
+          // Adding menu for each script type
+          pgAdmin.Browser.add_menus([{
+            name: 'show_script_' + stype,
+            node: self.type,
+            module: self,
+            applies: ['object', 'context'],
+            callback: 'show_script',
+            priority: 4,
+            label: type_label,
+            category: 'Scripts',
+            data: {
+              'script': stype,
+            },
+            icon: 'fa fa-pencil',
+            enable: self.check_user_permission,
+          }]);
+        });
       }
     },
     ///////
@@ -185,23 +225,23 @@ define(
 
       var node = pgBrowser.Nodes[itemData._type],
         parentData = node.getTreeNodeHierarchy(item);
-      if ( _.indexOf(['create','insert','update', 'delete'], data.script) != -1) {
+      if (_.indexOf(['create', 'insert', 'update', 'delete'], data.script) != -1) {
         if (itemData.type == 'role' &&
           parentData.server.user.can_create_role) {
           return true;
         } else if (
-           (
+          (
             parentData.server && (
-            parentData.server.user.is_superuser ||
-            parentData.server.user.can_create_db)
-           ) ||
-           (
+              parentData.server.user.is_superuser ||
+              parentData.server.user.can_create_db)
+          ) ||
+          (
             parentData.schema && parentData.schema.can_create
-           )
-           ) {
-            return true;
+          )
+        ) {
+          return true;
         } else {
-           return false;
+          return false;
         }
       } else {
         return true;
@@ -240,20 +280,26 @@ define(
 
         // We know - which data model to be used for this object.
         var info = this.getTreeNodeHierarchy.apply(this, [item]),
-            newModel = new (this.model.extend({urlRoot: urlBase})) (
-                attrs, {node_info: info}
-                ),
-            fields = Backform.generateViewSchema(
-                info, newModel, type, this, node
-                );
+          newModel = new(this.model.extend({
+            urlRoot: urlBase,
+          }))(
+            attrs, {
+              node_info: info,
+            }
+          ),
+          fields = Backform.generateViewSchema(
+            info, newModel, type, this, node
+          );
 
         if (type == 'create' || type == 'edit') {
 
           if (callback && ctx) {
-              callback = callback.bind(ctx);
+            callback = callback.bind(ctx);
           } else {
             callback = function() {
-              console.log("Broke something!!! Why we don't have the callback or the context???");
+              console.warn(
+                'Broke something!!! Why we don\'t have the callback or the context???'
+              );
             };
           }
 
@@ -270,10 +316,10 @@ define(
                     </div>\
                 </div>\
               </div>';
-            if(!_.isUndefined(that.statusBar)) {
-              that.statusBar.html(alertMessage).css("visibility", "visible");
-              that.statusBar.find("a.close-error").bind("click", function(e) {
-                 this.empty().css("visibility", "hidden");
+            if (!_.isUndefined(that.statusBar)) {
+              that.statusBar.html(alertMessage).css('visibility', 'visible');
+              that.statusBar.find('a.close-error').bind('click', function() {
+                this.empty().css('visibility', 'hidden');
               }.bind(that.statusBar));
             }
             callback(true);
@@ -281,10 +327,10 @@ define(
             return true;
           };
 
-          var onSessionValidated =  function(sessHasChanged) {
+          var onSessionValidated = function(sessHasChanged) {
 
-            if(!_.isUndefined(that.statusBar)) {
-              that.statusBar.empty().css("visibility", "hidden");
+            if (!_.isUndefined(that.statusBar)) {
+              that.statusBar.empty().css('visibility', 'hidden');
             }
 
             callback(false, sessHasChanged);
@@ -304,13 +350,17 @@ define(
             // It is used to show, edit, create the object in the
             // properties tab.
             view = new Backform.Fieldset({
-              el: el, model: newModel, schema: fields
+              el: el,
+              model: newModel,
+              schema: fields,
             });
           } else {
             // This generates a view to be used by the node dialog
             // (for create/edit operation).
             view = new Backform.Dialog({
-              el: el, model: newModel, schema: fields
+              el: el,
+              model: newModel,
+              schema: fields,
             });
           }
 
@@ -322,9 +372,9 @@ define(
 
           if (!newModel.isNew()) {
             // This is definetely not in create mode
-            var msgDiv = '<div class="alert alert-info pg-panel-message pg-panel-properties-message">'+
-                gettext("Retrieving data from the server...") + '</div>',
-                $msgDiv = $(msgDiv);
+            var msgDiv = '<div class="alert alert-info pg-panel-message pg-panel-properties-message">' +
+              gettext('Retrieving data from the server...') + '</div>',
+              $msgDiv = $(msgDiv);
             var timer = setTimeout(function(ctx) {
               // notify user if request is taking longer than 1 second
 
@@ -334,46 +384,45 @@ define(
             }, 1000, ctx);
 
             newModel.fetch({
-              success: function(res, msg, xhr) {
-                // clear timeout and remove message
+              success: function() {
+                // Clear timeout and remove message
                 clearTimeout(timer);
                 $msgDiv.addClass('hidden');
 
-                // We got the latest attributes of the
-                // object. Render the view now.
+                // We got the latest attributes of the object. Render the view
+                // now.
                 view.render();
                 setFocusOnEl();
                 newModel.startNewSession();
               },
               error: function(xhr, error, message) {
                 var _label = that && item ?
-                              that.getTreeNodeHierarchy(
-                                item
-                              )[that.type].label : '';
+                  that.getTreeNodeHierarchy(
+                    item
+                  )[that.type].label : '';
                 pgBrowser.Events.trigger(
                   'pgadmin:node:retrieval:error', 'properties',
                   xhr, error, message, item
                 );
-                if (
-                  !Alertify.pgHandleItemError(
-                    xhr, error, message, {item: item, info: info}
-                  )
-                ) {
+                if (!Alertify.pgHandleItemError(
+                    xhr, error, message, {
+                      item: item,
+                      info: info,
+                    }
+                  )) {
                   Alertify.pgNotifier(
                     error, xhr,
                     S(
-                      gettext("Error retrieving properties - %s")
+                      gettext('Error retrieving properties - %s')
                     ).sprintf(message || _label).value(),
-                    function() {
-                      console.log(arguments);
-                    }
+                    function() {}
                   );
                 }
                 // Close the panel (if could not fetch properties)
                 if (cancelFunc) {
                   cancelFunc();
                 }
-              }
+              },
             });
           } else {
             // Yay - render the view now!
@@ -398,28 +447,30 @@ define(
       var events = {};
       events[wcDocker.EVENT.RESIZE_ENDED] = function() {
         var $container = this.$container.find('.obj_properties').first(),
-            v = $container.data('obj-view');
+          v = $container.data('obj-view');
 
         if (v && v.model && v.model) {
           v.model.trigger(
             'pg-browser-resized', {
-              'view': v, 'panel': this, 'container': $container
-          });
+              'view': v,
+              'panel': this,
+              'container': $container,
+            });
 
         }
       };
 
       p = new pgBrowser.Panel({
-          name: 'node_props',
-          showTitle: true,
-          isCloseable: true,
-          isPrivate: true,
-          elContainer: true,
-          content: '<div class="obj_properties"><div class="alert alert-info pg-panel-message">' + gettext('Please wait while we fetch information about the node from the server...') + '</div></div>',
-          onCreate: function(myPanel, $container) {
-            $container.addClass('pg-no-overflow');
-          },
-          events: events
+        name: 'node_props',
+        showTitle: true,
+        isCloseable: true,
+        isPrivate: true,
+        elContainer: true,
+        content: '<div class="obj_properties"><div class="alert alert-info pg-panel-message">' + gettext('Please wait while we fetch information about the node from the server...') + '</div></div>',
+        onCreate: function(myPanel, $container) {
+          $container.addClass('pg-no-overflow');
+        },
+        events: events,
       });
       p.load(pgBrowser.docker);
     },
@@ -481,36 +532,40 @@ define(
           return;
 
         var self = this,
-            isParent = (_.isArray(this.parent_type) ?
-              function(d) {
-                return (_.indexOf(self.parent_type, d._type) != -1);
-              } : function(d) {
-                return (self.parent_type == d._type);
-              }),
-            addPanel = function() {
-              var d = window.document,
-                  b = d.body,
-                  el = d.createElement('div');
-
-              d.body.insertBefore(el, d.body.firstChild);
-
-              var pW = screen.width < 800 ? '95%' : '500px',
-                  pH = screen.height < 600 ? '95%' : '550px',
-                  w = pgAdmin.toPx(el, self.width || pW, 'width', true),
-                  h = pgAdmin.toPx(el, self.height|| pH, 'height', true),
-                  x = (b.offsetWidth - w) / 2,
-                  y = (b.offsetHeight - h) / 2;
-
-              var p = pgBrowser.docker.addPanel(
-                'node_props', wcDocker.DOCK.FLOAT, undefined,
-                {w: w + 'px', h: h + 'px', x: x + 'px', y: y + 'px'}
-              );
+          isParent = (_.isArray(this.parent_type) ?
+            function(d) {
+              return (_.indexOf(self.parent_type, d._type) != -1);
+            } : function(d) {
+              return (self.parent_type == d._type);
+            }),
+          addPanel = function() {
+            var d = window.document,
+              b = d.body,
+              el = d.createElement('div');
+
+            d.body.insertBefore(el, d.body.firstChild);
+
+            var pW = screen.width < 800 ? '95%' : '500px',
+              pH = screen.height < 600 ? '95%' : '550px',
+              w = pgAdmin.toPx(el, self.width || pW, 'width', true),
+              h = pgAdmin.toPx(el, self.height || pH, 'height', true),
+              x = (b.offsetWidth - w) / 2,
+              y = (b.offsetHeight - h) / 2;
+
+            var p = pgBrowser.docker.addPanel(
+              'node_props', wcDocker.DOCK.FLOAT, undefined, {
+                w: w + 'px',
+                h: h + 'px',
+                x: x + 'px',
+                y: y + 'px',
+              }
+            );
 
-              b.removeChild(el);
-              // delete(el);
+            b.removeChild(el);
+            // delete(el);
 
-              return p;
-            };
+            return p;
+          };
 
         if (args.action == 'create') {
           // If we've parent, we will get the information of it for
@@ -554,8 +609,8 @@ define(
           if (!d)
             return;
 
-          l = S( gettext('Create - %s')).sprintf(
-              [this.label]).value();
+          l = S(gettext('Create - %s')).sprintf(
+            [this.label]).value();
           p = addPanel();
 
           setTimeout(function() {
@@ -563,7 +618,7 @@ define(
           }, 10);
         } else {
           if (pgBrowser.Node.panels && pgBrowser.Node.panels[d.id] &&
-              pgBrowser.Node.panels[d.id].$container) {
+            pgBrowser.Node.panels[d.id].$container) {
             var p = pgBrowser.Node.panels[d.id];
             /**  TODO ::
              *  Run in edit mode (if asked) only when it is
@@ -608,11 +663,13 @@ define(
       },
       // Delete the selected object
       delete_obj: function(args, item) {
-          var input = args || {'url':'drop'},
-              obj = this,
-              t = pgBrowser.tree,
-              i = input.item || item || t.selected(),
-              d = i && i.length == 1 ? t.itemData(i) : undefined;
+        var input = args || {
+            'url': 'drop',
+          },
+          obj = this,
+          t = pgBrowser.tree,
+          i = input.item || item || t.selected(),
+          d = i && i.length == 1 ? t.itemData(i) : undefined;
 
         if (!d)
           return;
@@ -626,28 +683,28 @@ define(
         var msg, title;
         if (input.url == 'delete') {
 
-          msg = S( gettext('Are you sure you want to drop %s "%s" and all the objects that depend on it?'))
+          msg = S(gettext('Are you sure you want to drop %s "%s" and all the objects that depend on it?'))
             .sprintf(obj.label.toLowerCase(), d.label).value();
-          title = S( gettext('DROP CASCADE %s?')).sprintf(obj.label).value();
+          title = S(gettext('DROP CASCADE %s?')).sprintf(obj.label).value();
 
           if (!(_.isFunction(obj.canDropCascade) ?
-                obj.canDropCascade.apply(obj, [d, i]) : obj.canDropCascade)) {
-                Alertify.error(
-                S( gettext('The %s "%s" cannot be dropped.'))
-                .sprintf(obj.label, d.label).value(),
-                10
-                );
+              obj.canDropCascade.apply(obj, [d, i]) : obj.canDropCascade)) {
+            Alertify.error(
+              S(gettext('The %s "%s" cannot be dropped.'))
+              .sprintf(obj.label, d.label).value(),
+              10
+            );
             return;
           }
         } else {
-          msg = S( gettext('Are you sure you want to drop %s "%s"?'))
+          msg = S(gettext('Are you sure you want to drop %s "%s"?'))
             .sprintf(obj.label.toLowerCase(), d.label).value();
-          title = S( gettext('DROP %s?')).sprintf(obj.label).value();
+          title = S(gettext('DROP %s?')).sprintf(obj.label).value();
 
           if (!(_.isFunction(obj.canDrop) ?
               obj.canDrop.apply(obj, [d, i]) : obj.canDrop)) {
             Alertify.error(
-              S( gettext('The %s "%s" cannot be dropped.'))
+              S(gettext('The %s "%s" cannot be dropped.'))
               .sprintf(obj.label, d.label).value(),
               10
             );
@@ -658,7 +715,7 @@ define(
           function() {
             $.ajax({
               url: obj.generate_url(i, input.url, d, true),
-              type:'DELETE',
+              type: 'DELETE',
               success: function(res) {
                 if (res.success == 0) {
                   pgBrowser.report_error(res.errormsg, res.info);
@@ -674,16 +731,18 @@ define(
                   try {
                     var data = $.parseJSON(jqx.responseText);
                     msg = data.errormsg;
-                  } catch (e) {}
+                  } catch (e) {
+                    console.warn(e.stack || e);
+                  }
                 }
                 pgBrowser.report_error(
-                    S( gettext('Error dropping %s: "%s"'))
-                      .sprintf(obj.label, objName)
-                        .value(), msg);
-              }
+                  S(gettext('Error dropping %s: "%s"'))
+                  .sprintf(obj.label, objName)
+                  .value(), msg);
+              },
             });
           },
-          null).show()
+          null).show();
       },
       // Callback for creating script(s) & opening them in Query editor
       show_script: function(args, item) {
@@ -700,19 +759,18 @@ define(
          * Make sure - we're using the correct version of node
          */
         obj = pgBrowser.Nodes[d._type];
-        var objName = d.label,
-          sql_url;
+        var sql_url;
 
         // URL for script type
-        if(scriptType == 'insert') {
+        if (scriptType == 'insert') {
           sql_url = 'insert_sql';
-        } else if(scriptType == 'update') {
+        } else if (scriptType == 'update') {
           sql_url = 'update_sql';
-        } else if(scriptType == 'delete') {
+        } else if (scriptType == 'delete') {
           sql_url = 'delete_sql';
-        } else if(scriptType == 'select') {
+        } else if (scriptType == 'select') {
           sql_url = 'select_sql';
-        } else if(scriptType == 'exec') {
+        } else if (scriptType == 'exec') {
           sql_url = 'exec_sql';
         } else {
           // By Default get CREATE SQL
@@ -727,8 +785,7 @@ define(
 
       // Callback to render query editor
       show_query_tool: function(args, item) {
-        var obj = this,
-          t = pgBrowser.tree,
+        var t = pgBrowser.tree,
           i = item || t.selected(),
           d = i && i.length == 1 ? t.itemData(i) : undefined;
 
@@ -750,31 +807,31 @@ define(
         if (data && data._type && data._type == 'server') {
           var element = $(item).find('span.aciTreeItem').first() || null,
             // First element will be icon and second will be colour code
-            bgcolor = data.icon.split(" ")[1] || null,
-            fgcolor = data.icon.split(" ")[2] || '';
+            bgcolor = data.icon.split(' ')[1] || null,
+            fgcolor = data.icon.split(' ')[2] || '';
 
-          if(bgcolor) {
+          if (bgcolor) {
             // li tag for the current branch
             var first_level_element = element.parents()[3] || null,
               dynamic_class = 'pga_server_' + data._id + '_bgcolor',
               style_tag;
 
             // Prepare dynamic style tag
-            style_tag = "<style id=" + dynamic_class + " type='text/css'> \n";
-            style_tag += "." + dynamic_class + ' .aciTreeItem {';
-            style_tag += " border-radius: 3px; margin-bottom: 2px;";
-            style_tag += " background: " + bgcolor + "} \n";
-            if(fgcolor) {
-              style_tag += "." + dynamic_class + ' .aciTreeText {';
-              style_tag += " color: " + fgcolor + ";} \n"
+            style_tag = '<style id=' + dynamic_class + ' type=\'text/css\'> \n';
+            style_tag += '.' + dynamic_class + ' .aciTreeItem {';
+            style_tag += ' border-radius: 3px; margin-bottom: 2px;';
+            style_tag += ' background: ' + bgcolor + '} \n';
+            if (fgcolor) {
+              style_tag += '.' + dynamic_class + ' .aciTreeText {';
+              style_tag += ' color: ' + fgcolor + ';} \n';
             }
-            style_tag += "</style>";
+            style_tag += '</style>';
 
             // Prepare dynamic style tag using template
             $('#' + dynamic_class).remove();
-            $(style_tag).appendTo("head");
+            $(style_tag).appendTo('head');
 
-            if(first_level_element)
+            if (first_level_element)
               $(first_level_element).addClass(dynamic_class);
           }
         }
@@ -782,10 +839,10 @@ define(
 
       added: function(item, data, browser) {
         var b = browser || pgBrowser,
-            t = b.tree,
-            pItem = t.parent(item),
-            pData = pItem && t.itemData(pItem),
-            pNode = pData && pgBrowser.Nodes[pData._type];
+          t = b.tree,
+          pItem = t.parent(item),
+          pData = pItem && t.itemData(pItem),
+          pNode = pData && pgBrowser.Nodes[pData._type];
 
         // Check node is a collection or not.
         if (pNode && pNode.is_collection) {
@@ -801,7 +858,7 @@ define(
             pItem, {
               label: (
                 _.escape(pData._label) + ' <span>(' + pData.collection_count + ')</span>'
-              )
+              ),
             }
           );
         }
@@ -818,46 +875,46 @@ define(
         // + Dependencies
         // + Statistics
         var b = browser || pgBrowser,
-            t = b.tree,
-            d = data || t.itemData(item);
+          t = b.tree,
+          d = data || t.itemData(item);
 
         // Update the menu items
         pgAdmin.Browser.enable_disable_menus.apply(b, [item]);
 
         if (d && b) {
           if ('properties' in b.panels &&
-              b.panels['properties'] &&
-              b.panels['properties'].panel &&
-              b.panels['properties'].panel.isVisible()) {
+            b.panels['properties'] &&
+            b.panels['properties'].panel &&
+            b.panels['properties'].panel.isVisible()) {
             // Show object properties (only when the 'properties' tab
             // is active).
             this.showProperties(item, d, b.panels['properties'].panel);
           }
           if ('sql' in b.panels &&
-              b.panels['sql'] &&
-              b.panels['sql'].panel &&
-              b.panels['sql'].panel.isVisible()) {
+            b.panels['sql'] &&
+            b.panels['sql'].panel &&
+            b.panels['sql'].panel.isVisible()) {
             // TODO:: Show reverse engineered query for this object (when 'sql'
             // tab is active.)
           }
           if ('statistics' in b.panels &&
-              b.panels['statistics'] &&
-              b.panels['statistics'].panel &&
-              b.panels['statistics'].panel.isVisible()) {
+            b.panels['statistics'] &&
+            b.panels['statistics'].panel &&
+            b.panels['statistics'].panel.isVisible()) {
             // TODO:: Show statistics for this object (when the 'statistics'
             // tab is active.)
           }
           if ('dependencies' in b.panels &&
-              b.panels['dependencies'] &&
-              b.panels['dependencies'].panel &&
-              b.panels['dependencies'].panel.isVisible()) {
+            b.panels['dependencies'] &&
+            b.panels['dependencies'].panel &&
+            b.panels['dependencies'].panel.isVisible()) {
             // TODO:: Show dependencies for this object (when the
             // 'dependencies' tab is active.)
           }
           if ('dependents' in b.panels &&
-              b.panels['dependents'] &&
-              b.panels['dependents'].panel &&
-              b.panels['dependents'].panel.isVisible()) {
+            b.panels['dependents'] &&
+            b.panels['dependents'].panel &&
+            b.panels['dependents'].panel.isVisible()) {
             // TODO:: Show dependents for this object (when the 'dependents'
             // tab is active.)
           }
@@ -867,10 +924,10 @@ define(
       },
       removed: function(item) {
         var self = this,
-            t = pgBrowser.tree,
-            pItem = t.parent(item),
-            pData = pItem && t.itemData(pItem),
-            pNode = pData && pgBrowser.Nodes[pData._type];
+          t = pgBrowser.tree,
+          pItem = t.parent(item),
+          pData = pItem && t.itemData(pItem),
+          pNode = pData && pgBrowser.Nodes[pData._type];
 
         // Check node is a collection or not.
         if (
